@use "../true" as *;
@use "../../scss/util/default-get" as *;

@include describe("default-get [function]") {
  $test-map: (
    DEFAULT: "foo",
    deeply: (
      nested: (
        DEFAULT: "bar",
        value: "baz",
      ),
    ),
  );

  @include it("throws an error when trying to get an undefined key") {
    @include assert-error(default-get($test-map, deeply, nested, key));
  }

  @include it("can find a top-level DEFAULT value") {
    @include is-equal(default-get($test-map), "foo");
  }

  @include it("can find a nested DEFAULT value") {
    @include is-equal(default-get($test-map, deeply, nested, DEFAULT), "bar");
  }

  @include it("works with nested values") {
    @include is-equal(default-get($test-map, deeply, nested, value), "baz");
  }
}
